rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Enumerations
Verify API.
(un)Installing packages:

How to verify a package. More...

## Enumerations
enum | rpmVerifyAttrs_e { RPMVERIFY_NONE = 0 , RPMVERIFY_MD5 = (1 << 0) , RPMVERIFY_FILEDIGEST = (1 << 0) , RPMVERIFY_FILESIZE = (1 << 1) , RPMVERIFY_LINKTO = (1 << 2) , RPMVERIFY_USER = (1 << 3) , RPMVERIFY_GROUP = (1 << 4) , RPMVERIFY_MTIME = (1 << 5) , RPMVERIFY_MODE = (1 << 6) , RPMVERIFY_RDEV = (1 << 7) , RPMVERIFY_CAPS = (1 << 8) , RPMVERIFY_CONTEXTS = (1 << 15) , RPMVERIFY_READLINKFAIL = (1 << 28) , RPMVERIFY_READFAIL = (1 << 29) , RPMVERIFY_LSTATFAIL = (1 << 30) , RPMVERIFY_LGETFILECONFAIL = (1 << 31) }

## RPMQV
enum | rpmVerifyFlags_e { VERIFY_DEFAULT = 0 , VERIFY_CONTEXTS = (1 << 15) , VERIFY_FILES = (1 << 16) , VERIFY_DEPS = (1 << 17) , VERIFY_SCRIPT = (1 << 18) }

## Detailed Description

How to verify a package.

## Enumeration Type Documentation

## ◆ rpmVerifyAttrs_e

enum rpmVerifyAttrs_e

Exported file verify attributes (ie RPMTAG_FILEVERIFYFLAGS) + bits used for reporting failures.

Enumerator
RPMVERIFY_MD5 | from verify(md5) - obsolete
RPMVERIFY_FILEDIGEST | from verify(filedigest)
RPMVERIFY_FILESIZE | from verify(size)
RPMVERIFY_LINKTO | from verify(link)
RPMVERIFY_USER | from verify(user)
RPMVERIFY_GROUP | from verify(group)
RPMVERIFY_MTIME | from verify(mtime)
RPMVERIFY_MODE | from verify(mode)
RPMVERIFY_RDEV | from verify(rdev)
RPMVERIFY_CAPS | from verify(caps)
RPMVERIFY_CONTEXTS | verify: from –nocontexts
RPMVERIFY_READLINKFAIL | readlink failed
RPMVERIFY_READFAIL | file read failed
RPMVERIFY_LSTATFAIL | lstat failed
RPMVERIFY_LGETFILECONFAIL | lgetfilecon failed

## ◆ rpmVerifyFlags_e

enum rpmVerifyFlags_e

Bit(s) to control rpmcliVerify() operation

Enumerator
VERIFY_CONTEXTS | verify: from –nocontexts
VERIFY_FILES | verify: from –nofiles
VERIFY_DEPS | verify: from –nodeps
VERIFY_SCRIPT | verify: from –noscripts